> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get the details for a given type that triggers for the given event subscription




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /event_subscriptions/{subscription_id}/sources/{type}
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /event_subscriptions/{subscription_id}/sources/{type}:
    get:
      tags:
        - EventSources
      summary: Get
      description: >
        Get the details for a given type that triggers for the given event
        subscription
      operationId: EventSourcesGet
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: subscription_id
          description: >
            The unique identifier for the Event Subscription that this Event
            Source is attached to.
          in: path
          required: true
          schema:
            type: string
        - name: type
          description: |
            Type of event for which an event subscription will trigger
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >
            Get the details for a given type that triggers for the given event
            subscription
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventSource'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    EventSource:
      type: object
      properties:
        type:
          description: |
            Type of event for which an event subscription will trigger
          type: string
        uri:
          description: |
            URI of the Event Source API resource.
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````